/*
Titles and headings: Charm
Body: Quicksand
Subtitles / Buttons?: IBM Plex Sans
*/
:root {
    --Orange: #e06543;
    --Navy: #415b76;
}

* {
    font-size: 18px;
    font-family: Quicksand,'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 0;
}

html {
    background-color: var(--Navy);
}

/* HEADER STYLES */


header {
    background-color: var(--Navy);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 1.5rem;
}

header a.page-title {
    font-family: Charm, Georgia, Times, 'Times New Roman', serif;
    font-size: 2rem;
    text-decoration: none;
    color: white;

    
}

nav ul {
    list-style: none;
    display: flex;
    margin: auto;
    flex-wrap: wrap;
}

nav ul li {
    padding: 0.5rem;
    margin: 0.25rem;

}

nav ul li a {
    color: white;
    text-decoration: none;
    font-weight: 900;
}

/* BODY STYLES */

.flex-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.column {
    flex-direction: column;
}

section {
    padding: 2rem;
    background-color: white;
}

.book-image-container {
    max-width: 400px;
}

.book-image-container img {
    filter: drop-shadow(5px 5px 5px lightgrey);
    max-width: 400px;
}


.book-details-container {
    width: 500px;
}

.book-details-container h1{
    color: var(--Orange);
    font-family: Charm, Georgia, Times, 'Times New Roman', serif;
    font-size: 4rem;
    text-align: center;
    margin: 30px;
}

.book-details-container p{
    font-family: 'IBM Plex Sans','Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 900;
    color: var(--Orange);
    text-align: center;
    margin: 30px;
}

.book-details-container a p{
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 800;
    color: var(--Orange);
    border: 1px solid var(--Orange);
    border-radius: 0.25rem;
    padding: 10px;
    width: 100px;
    margin: 30px auto;
}

.book-details-container a {
    text-decoration: none;
}

.call-to-action {
    border: 1px solid white;
    padding: 10px 20px;
    border-radius: 5px;
}

/* AUTHOR SECTION */

.authors-section {
    background-color: rgb(241, 240, 240);
}

.authors-section h2{
    font-size: 2rem;
    text-align: center;
    padding: 20px;

}

.author-bio-container {
    border: 2px solid grey;
    border-radius: 10px;
    width: fit-content;
    padding: 20px;
    margin: 30px auto;
    background-color: white;
    align-items: center;
    flex-wrap: wrap;
}


.author-image {
    width: 200px;
    height: 200px;
    overflow: hidden;
    border-radius: 10px;
    flex-shrink: 0;
    
}

.author-image img {
    width: 200px;
    height: 200px;
    object-fit: cover;
    
}

.author-bio {
    max-width: 500px;
    padding-left: 20px;
}

.author-bio h3{
    padding-bottom: 10px;
    font-size: 1.25rem;
    font-family: 'IBM Plex Sans','Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;;
}

.author-bio p{
    line-height: 1.5rem;
    text-align: justify;
}

/* RESOURCES STYLES*/

.resources-section {
    background-color: var(--Navy);
    color: white;
}

.resources-section h2{
    text-align: center;
    font-size: 2rem;
    padding: 20px;
}

.resources-container{
    justify-content: space-around;
    flex-wrap: wrap;
}

.bridge-info-container{
    max-width: 400px;
    padding: 10px;
}

.bridge-info-container img{
    max-width: 400px;
}





.bridge-info-container .info-item{
    border: 2px solid white;
    border-radius: 10px;
    padding: 10px;
    margin: 10px;
    justify-content: left;
    align-items: center;
}

.bridge-info-container .info-item svg {
    padding-right: 10px;
}

.media-info-container {
    max-width: 400px;
}

.media-info-container img {
    max-width: 400px;
    border: 3px solid rgb(53, 53, 53);
    border-radius: 20px;
}

.item-text a {
    text-decoration: none;
    color: white;
}

.media-info-container p {
    text-align: center;
    padding-bottom: 20px;
}

.media-info-container a{
    text-decoration: none;
}

.media-info-container a p{
    color: white;
    width: fit-content;
    font-family: 'IBM Plex Sans','Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;;
    text-transform: uppercase;
    font-weight: 900;
    padding: 1rem 2rem;
    margin: 20px auto;
    border: 2px solid white;
    border-radius: 10px;
}

/* CONTACT STYLES*/

.contact-section {
    background-color: var(--Navy);
}

.contact-section h2 {
    text-align: center;
    font-size: 2rem;
    font-weight: 800;
    text-transform: uppercase;
}

.contact-embed-container {
    max-width: 700px;
    margin: 20px auto;
}

.contact-container {
    border: 10px grey;
    border-style:groove;
    border-radius: 20px;
    background-color: #f1f0f0;
    max-width: 700px;
    padding: 20px;
    margin: 30px auto;
}


/* FOOTER STYLE*/
footer {
    padding: 10px 30px;
    background-color: var(--Navy);
}

footer p {
    color: white;
    text-align: center;
}

footer a {
    text-decoration: none;
}

footer a p {
    font-size: 0.75rem;
    padding: 10px;
    color: lightgrey;
}

/* HOVER STYLES */
nav ul li a:hover {
    color: rgb(207, 149, 126);
    position: relative;
    top: -1px;
}

.book-details-container a p:hover {
    background-color: var(--Orange);
    color: white;
}

.media-info-container a p:hover {
    background-color: white;
    color: var(--Navy);
}

.call-to-action:hover {
    background-color: white;
    color: var(--Navy);
}

@media screen and (max-width: 600px) {
    .resources-container {
        flex-direction: column;
        align-items: center;
    }
    .bridge-info-container img{
        max-width: 75vw;
        display: block;
        margin: 10px auto;
    }
    .media-info-container {
        width: 80vw;
    }

    .media-info-container img {
        display: block;
        width: 50vw;
        margin: 0 auto;
    }

    nav {
        overflow: hidden;   
    }

    .hide-on-phone {
        display: none ;
    }
    section {
        padding: 2rem 0.35rem;
    }
    header {
        padding: 0.25rem 0.15rem;
        justify-content: center;
    }
}